%define major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		seafile
Version:	9.0.14
Release:	%mkrel 1
Summary:	Open source cloud storage system with features on privacy protection and teamwork
License:	GPLv3+
Group:		Networking/File transfer
URL:		https://github.com/haiwen/seafile
Source0:	https://github.com/haiwen/seafile/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	intltool
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(jansson)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(libargon2)
BuildRequires:	pkgconfig(libevent)
BuildRequires:	pkgconfig(uuid) >= 2.0
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libsearpc)
BuildRequires:	pkgconfig(libwebsockets)
BuildRequires:	pkgconfig(python3)
BuildRequires:	vala >= 0.26

Requires:	python3dist(seafile) = %{version}-%{release}

%description
Seafile is an open source cloud storage system with features on privacy
protection and teamwork. Collections of files are called libraries, and
each library can be synced separately. A library can also be encrypted
with a user chosen password. Seafile also allows users to create groups
and easily sharing files into groups.

#----------------------------------------------------

%package -n	%{libname}
Summary:	Library for %{name}
Group:		System/Libraries

%description -n	%{libname}
Seafile is an open source cloud storage system with features on privacy
protection and teamwork. Collections of files are called libraries, and
each library can be synced separately. A library can also be encrypted
with a user chosen password. Seafile also allows users to create groups
and easily sharing files into groups.
This package contains library files for %{name}.

#----------------------------------------------------

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

#----------------------------------------------------

%package -n	python3-%{name}
Summary:	Python 3 bindings for %{name}
Group:		Development/Python
BuildArch:	noarch
Provides:	python3dist(seafile) = %{version}-%{release}
Provides:	python%{python3_version}dist(seafile) = %{version}-%{release}
%{?python_provide:%python_provide python3-%{name}}
Obsoletes:	python2-seafile < 7.0.2-2

%description -n	python3-%{name}
Seafile is an open source cloud storage system with features on privacy
protection and teamwork. Collections of files are called libraries, and
each library can be synced separately. A library can also be encrypted
with a user chosen password. Seafile also allows users to create groups
and easily sharing files into groups.
This package contains the python 3 bindings for %{name}.

#----------------------------------------------------

%prep
%autosetup -p1

sed -i -e /\(DESTDIR\)/d lib/libseafile.pc.in

NOCONFIGURE=1 ./autogen.sh

%build
export PYTHON=%{__python3}
%configure \
	--disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

# python shebang
%py3_shebang_fix %{buildroot}%{_bindir}/*

%files
%doc README.markdown
%license LICENSE.txt
%{_bindir}/seaf-cli
%{_bindir}/seaf-daemon
%{_mandir}/man1/*.1.*

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%doc README.markdown
%{_includedir}/*
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc

%files -n python3-%{name}
%doc README.markdown
%{python3_sitearch}/%{name}/


%changelog
* Mon Jun 30 2025 daviddavid <daviddavid> 9.0.14-1.mga10
+ Revision: 2230711
- new version: 9.0.14

* Wed Apr 23 2025 daviddavid <daviddavid> 9.0.13-1.mga10
+ Revision: 2178365
- new version: 9.0.13

* Tue Mar 04 2025 wally <wally> 9.0.12-2.mga10
+ Revision: 2160441
- rebuild for python3.13

* Sat Feb 15 2025 daviddavid <daviddavid> 9.0.12-1.mga10
+ Revision: 2148892
- new version: 9.0.12

* Tue Nov 19 2024 daviddavid <daviddavid> 9.0.11-1.mga10
+ Revision: 2117761
- new version: 9.0.11

* Tue Aug 06 2024 daviddavid <daviddavid> 9.0.7-1.mga10
+ Revision: 2083703
- new version: 9.0.7

* Mon Jun 17 2024 daviddavid <daviddavid> 9.0.6-1.mga10
+ Revision: 2074589
- new version: 9.0.6

* Tue Feb 27 2024 daviddavid <daviddavid> 9.0.5-1.mga10
+ Revision: 2044687
- new version: 0.9.5

* Wed Dec 27 2023 daviddavid <daviddavid> 9.0.4-2.mga10
+ Revision: 2022119
- rebuild for py3.12

* Sat Oct 21 2023 daviddavid <daviddavid> 9.0.4-1.mga10
+ Revision: 1999909
- new version: 9.0.4

* Fri Sep 01 2023 daviddavid <daviddavid> 9.0.3-1.mga10
+ Revision: 1983053
- new version: 9.0.3

* Mon Jan 02 2023 daviddavid <daviddavid> 8.0.10-1.mga9
+ Revision: 1928766
- new version: 8.0.10

* Wed Nov 09 2022 daviddavid <daviddavid> 8.0.9-1.mga9
+ Revision: 1904943
- new version: 8.0.9

* Sun Sep 11 2022 neoclust <neoclust> 8.0.8-1.mga9
+ Revision: 1886895
- New version 	8.0.8

* Wed Mar 30 2022 umeabot <umeabot> 8.0.5-2.mga9
+ Revision: 1833799
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 mrambo3501 <mrambo3501> 8.0.5-1.mga9
+ Revision: 1779427
- version 8.0.5
- rebuild for python-3.10

* Sat Oct 02 2021 wally <wally> 8.0.2-2.mga9
+ Revision: 1747899
- rebuild for openssl 3.0.0

* Fri Apr 23 2021 daviddavid <daviddavid> 8.0.2-1.mga9
+ Revision: 1718162
- new version: 8.0.2

* Sat Mar 20 2021 daviddavid <daviddavid> 8.0.1-2.mga9
+ Revision: 1705243
- rebuild for python 3.9

* Sat Dec 26 2020 daviddavid <daviddavid> 8.0.1-1.mga8
+ Revision: 1663790
- new version: 8.0.1

* Thu Nov 19 2020 daviddavid <daviddavid> 7.0.10-1.mga8
+ Revision: 1647566
- new version: 7.0.10

* Thu Oct 08 2020 daviddavid <daviddavid> 7.0.9-1.mga8
+ Revision: 1632772
- new version: 7.0.9

* Mon Jun 08 2020 daviddavid <daviddavid> 7.0.8-1.mga8
+ Revision: 1590953
- new version: 7.0.8

* Thu May 14 2020 daviddavid <daviddavid> 7.0.7-1.mga8
+ Revision: 1583611
- new version: 7.0.7

* Wed Feb 19 2020 umeabot <umeabot> 7.0.6-2.mga8
+ Revision: 1543911
- Mageia 8 Mass Rebuild

* Sun Feb 16 2020 daviddavid <daviddavid> 7.0.6-1.mga8
+ Revision: 1532229
- new version: 7.0.6
- rebuild for new libevent 2.1.11

* Thu Jan 23 2020 daviddavid <daviddavid> 7.0.5-1.mga8
+ Revision: 1482327
- new version: 7.0.5
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Dec 20 2019 daviddavid <daviddavid> 7.0.4-1.mga8
+ Revision: 1469089
- new version: 7.0.4

* Tue Oct 29 2019 daviddavid <daviddavid> 7.0.3-1.mga8
+ Revision: 1456513
- new version: 7.0.3
- port to python3
- drop python2 support
- drop no more needed ccnet build dependency

* Tue Aug 20 2019 daviddavid <daviddavid> 7.0.2-1.mga8
+ Revision: 1430623
- new version: 7.0.2

* Wed Jul 17 2019 daviddavid <daviddavid> 7.0.1-1.mga8
+ Revision: 1422011
- new version: 7.0.1

* Fri Jan 25 2019 daviddavid <daviddavid> 6.2.11-1.mga7
+ Revision: 1360575
- new version: 6.2.11

* Sat Dec 15 2018 daviddavid <daviddavid> 6.2.9-1.mga7
+ Revision: 1341325
- new version: 6.2.9

* Sat Nov 24 2018 daviddavid <daviddavid> 6.2.7-1.mga7
+ Revision: 1333891
- new version: 6.2.7

* Sat Nov 10 2018 daviddavid <daviddavid> 6.2.5-1.mga7
+ Revision: 1329279
- new version: 6.2.5

* Wed Sep 12 2018 wally <wally> 6.2.4-2.mga7
+ Revision: 1258629
- rebuild for aarch64

* Sat Aug 18 2018 daviddavid <daviddavid> 6.2.4-1.mga7
+ Revision: 1252500
- new version: 6.2.4

* Thu Aug 02 2018 daviddavid <daviddavid> 6.2.3-1.mga7
+ Revision: 1246819
- new version: 6.2.3

* Sat Jul 07 2018 daviddavid <daviddavid> 6.2.1-2.mga7
+ Revision: 1242400
- fix requires

* Fri Jul 06 2018 daviddavid <daviddavid> 6.2.1-1.mga7
+ Revision: 1242278
- new version: 6.2.1

* Thu May 17 2018 daviddavid <daviddavid> 6.1.8-1.mga7
+ Revision: 1230207
- new version: 6.1.8

* Fri Mar 30 2018 daviddavid <daviddavid> 6.1.7-1.mga7
+ Revision: 1213660
- new version: 6.1.7

* Tue Mar 13 2018 daviddavid <daviddavid> 6.1.6-1.mga7
+ Revision: 1208999
- new version: 6.1.6

* Sat Feb 10 2018 daviddavid <daviddavid> 6.1.5-1.mga7
+ Revision: 1199981
- new version: 6.1.5

* Sat Dec 23 2017 daviddavid <daviddavid> 6.1.4-1.mga7
+ Revision: 1184157
- new version: 6.1.4

* Thu Nov 16 2017 daviddavid <daviddavid> 6.1.3-1.mga7
+ Revision: 1177546
- new version: 6.1.3

* Wed Oct 04 2017 daviddavid <daviddavid> 6.1.1-1.mga7
+ Revision: 1168200
- new version: 6.1.1

* Fri Aug 11 2017 daviddavid <daviddavid> 6.1.0-1.mga7
+ Revision: 1139755
- new version: 6.1.0
- rename python-seafile to python2-seafile

* Sun Jul 02 2017 daviddavid <daviddavid> 6.0.7-1.mga6
+ Revision: 1108911
- new version: 6.0.7

* Sat Jul 01 2017 daviddavid <daviddavid> 6.0.6-1.mga6
+ Revision: 1108839
- new version: 6.0.6

* Wed May 03 2017 akien <akien> 6.0.4-1.mga6
+ Revision: 1098916
- Version 6.0.4
  o Fixes build against ccnet 6.0.4
  o Drops server subpackage

* Wed Apr 26 2017 akien <akien> 6.0.0-3.mga6
+ Revision: 1097534
- Rebuild against ccnet 6.0.4

* Wed Feb 15 2017 mrambo3501 <mrambo3501> 6.0.0-2.mga6
+ Revision: 1086253
- rebuild for new libevent

* Mon Oct 31 2016 daviddavid <daviddavid> 6.0.0-1.mga6
+ Revision: 1064292
- new version: 6.0.0

* Thu Jun 30 2016 daviddavid <daviddavid> 5.1.3-1.mga6
+ Revision: 1038172
- new version: 5.1.3

* Thu May 12 2016 daviddavid <daviddavid> 5.1.1-4.mga6
+ Revision: 1014279
- add the server part of seafile

* Sat May 07 2016 daviddavid <daviddavid> 5.1.1-3.mga6
+ Revision: 1010167
- add another missing requires on ccnet

* Sat May 07 2016 daviddavid <daviddavid> 5.1.1-2.mga6
+ Revision: 1010149
- add missing requires on python-seafile

* Fri May 06 2016 daviddavid <daviddavid> 5.1.1-1.mga6
+ Revision: 1009890
- initial package seafile

